Public Attributes | List of all members
ble_gap_adv_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Advertising parameters for legacy advertising. More...

`#include <ble_gapm.h>`

Collaboration diagram for ble_gap_adv_param_t:
[legend]

## Public Attributes
ble_gap_adv_mode_t | adv_mode
| Advertising mode (see enum ble_gap_adv_mode_t). More...
ble_gap_disc_mode_t | disc_mode
| Discovery mode (see enum ble_gap_disc_mode_t). More...
ble_gap_adv_filter_policy_t | filter_pol
| Advertising filtering policy (see enum ble_gap_adv_filter_policy_t). More...
ble_gap_bdaddr_t | peer_addr
| Peer address configuration (only used in case of directed advertising, or used to locate the IRK list). More...
uint16_t | adv_intv_min
| Minimum advertising interval (in unit of 625 us). More...
uint16_t | adv_intv_max
| Maximum advertising interval (in unit of 625 us). More...
uint8_t | chnl_map
| Advertising channel map. More...
bool | scan_req_ind_en
| Indicate if the application should be informed when receiving a scan request from the scanner. More...
int8_t | max_tx_pwr
| Maximum power level at which the advertising packets have to be transmitted (between -20dbm and 7dbm).For the real value, please refer to Datasheet. More...

## Detailed Description

Advertising parameters for legacy advertising.

Definition at line 546 of file ble_gapm.h.

## Member Data Documentation

## ◆ adv_intv_max

uint16_t ble_gap_adv_param_t::adv_intv_max

Maximum advertising interval (in unit of 625 us).

Must be greater than 20 ms.

Definition at line 553 of file ble_gapm.h.

## ◆ adv_intv_min

uint16_t ble_gap_adv_param_t::adv_intv_min

Minimum advertising interval (in unit of 625 us).

Must be greater than 20 ms.

Definition at line 552 of file ble_gapm.h.

## ◆ adv_mode

ble_gap_adv_mode_t ble_gap_adv_param_t::adv_mode

Advertising mode (see enum ble_gap_adv_mode_t).

Definition at line 548 of file ble_gapm.h.

## ◆ chnl_map

uint8_t ble_gap_adv_param_t::chnl_map

Advertising channel map.

See GAP ADV CHANNEL (bitmask).

Definition at line 554 of file ble_gapm.h.

## ◆ disc_mode

ble_gap_disc_mode_t ble_gap_adv_param_t::disc_mode

Discovery mode (see enum ble_gap_disc_mode_t).

Definition at line 549 of file ble_gapm.h.

## ◆ filter_pol

ble_gap_adv_filter_policy_t ble_gap_adv_param_t::filter_pol

Advertising filtering policy (see enum ble_gap_adv_filter_policy_t).

Definition at line 550 of file ble_gapm.h.

## ◆ max_tx_pwr

int8_t ble_gap_adv_param_t::max_tx_pwr

Maximum power level at which the advertising packets have to be transmitted (between -20dbm and 7dbm).For the real value, please refer to Datasheet.

Definition at line 556 of file ble_gapm.h.

## ◆ peer_addr

ble_gap_bdaddr_t ble_gap_adv_param_t::peer_addr

Peer address configuration (only used in case of directed advertising, or used to locate the IRK list).

Definition at line 551 of file ble_gapm.h.

## ◆ scan_req_ind_en

bool ble_gap_adv_param_t::scan_req_ind_en

Indicate if the application should be informed when receiving a scan request from the scanner.

Definition at line 555 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h